﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace Post_6340
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#B3C6D4"));
            Map1.CurrentExtent = new RectangleShape(-131.22, 55.05, -54.03, 16.91);
            Map1.MapUnit = GeographyUnit.DecimalDegree;

            SimpleMarkerOverlay simpleMarkerOverlay = new SimpleMarkerOverlay("SimpleMarkerOverlay");
            Marker marker1 = new Marker(-94.558, 39.078);
            marker1.Id = "Marker1";
            simpleMarkerOverlay.Markers.Add(marker1);

            Map1.CustomOverlays.Add(simpleMarkerOverlay);
        }
    }
}
